- show_roles = should_user_see_group_roles?(current_user, @group)
%h3.page-title
  = t("groups.group_members")
- if show_roles
  %p.light
    = t("groups.members_of_group_have_access")
    = t("groups.read_more_about_permissions")
    %strong= link_to t("groups.here"), help_page_path("permissions", "permissions"), class: "vlink"

%hr

.clearfix.js-toggle-container
  = form_tag members_group_path(@group), method: :get, class: 'form-inline member-search-form'  do
    .form-group
      = search_field_tag :search, params[:search], { placeholder: t("groups.find_existin_member_by_name"), class: 'form-control search-text-input input-mn-300' }
    = submit_tag t("groups.search"), class: 'btn'

  - if current_user && current_user.can?(:manage_group, @group)
    .pull-right
      = link_to '#', class: 'btn btn-new js-toggle-button' do
        = t("groups.add_members")
        %i.icon-chevron-down

    .js-toggle-content.hide.new-group-member-holder
      = render "new_group_member"

.panel.panel-default.prepend-top-20
  .panel-heading
    %strong #{@group.name}
    = t("groups.group_members_small")
    %small
      (#{@members.total_count})
  %ul.well-list
    - @members.each do |member|
      = render 'users_groups/users_group', member: member, show_roles: show_roles, show_controls: true
= paginate @members, theme: 'gitlab'

:coffeescript
  $('form.member-search-form').on 'submit', (event) ->
    event.preventDefault()
    Turbolinks.visit @.action + '?' + $(@).serialize()
